%global commit 3e40bc9f152ecebb5c7e2ec4f5e7144ffc73bcd4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global prerelease 20150608

Name:           lv2-x42-plugins
Version:        0.2.0
Release:        0.4.%{prerelease}git%{shortcommit}%{?dist}
Summary:        A number of LV2 plugins

Group:          Applications/Multimedia
# files in balance.lv2/pugl are ISC, the rest are GPLv2+
License:        GPLv2+ and ISC
URL:            https://github.com/x42/x42-plugins
# obtain source by sh lv2-x42-plugins-snapshot.sh %%{commit} %%{prerelease}
Source0:        lv2-x42-plugins-%{prerelease}-git%{commit}.tar.bz2 
Source1:        lv2-x42-plugins-snapshot.sh
BuildRequires:  lv2-devel
BuildRequires:  zita-convolver-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libltc-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  fftw3-devel
BuildRequires:  gtk2-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  ftgl-devel
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  gnu-free-serif-fonts
BuildRequires:  gnu-free-mono-fonts
Requires:       lv2

%description
A number of lv2 plugins including stereo balance, midi filter, delay,
convolver and fader.

%prep
%setup -q -n %{name}-%{prerelease}
# correct FSF address - https://github.com/x42/balance.lv2/issues/1 
sed -i -e 's|Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.|Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.|' *2/*.[hc]*;
sed -i -e 's|-msse -msse2 -mfpmath=sse|%{optflags}|' */Makefile
sed -i -e 's|/usr/share/fonts/truetype/freefont/FreeSansBold.ttf|/usr/share/fonts/gnu-free/FreeSansBold.ttf|' balance.lv2/Makefile
sed -i -e 's|STRIP=.*|STRIP=echo|' */Makefile */*.mk

%build
export FONTFILE="/usr/share/fonts/gnu-free/FreeSansBold.ttf"

export OPTIMIZATIONS="%{optflags}"
LDFLAGS="-lpthread" CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
%{make_install} LV2DIR=%{_libdir}/lv2 PREFIX=%{_prefix}

%files
# all plugins share the same license
%doc balance.lv2/COPYING README.md
%{_libdir}/lv2/*.lv2
%{_bindir}/x42-scope
%{_mandir}/*/x42-scope.*

%changelog
* Thu Feb 16 2017 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.2.0-0.4.20150608git3e40bc9
- Added BR: libltc-devel jack-audio-connection-kit-devel
- Do not strip binaries

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.3.20150608git3e40bc9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.2.20150608git3e40bc9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Brendan Jones <brendan.jones.it@gmail.com> 0.2.0-0.1.20150608git3e40bc9
- Update to 20150608 

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.7.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.1-0.6.20131005git7db99d5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.5.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.4.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 06 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.3.20131005git7db99d5
- Specify font and UI BR's

* Sat Oct 05 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.2.20131005git7db99d5
- New upstream commit, adds meters.lv2

* Sat Sep 14 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.1.20130615git7153e34
- Correct prelease release syntax
- Correct FSF address
- Use %%make_install macro

* Mon Sep 02 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Initial build

